<div class="container">
  <div class="row py-4">
    <div class="col-3"></div>
    <div class="col-6 text-center">
      <span class="h3">{{symbolTitle}}</span>
    </div>
    <div class="col-3">
      <select class="form-control" (change)="onChangeSymbol($event)">
        <option *ngFor="let symbol of symbols">{{symbol}}</option>
      </select>
    </div>
  </div>
  <div class="row justify-content-center">
    <div class="col-auto">
      <ngx-charts-line-chart
        [view]="view"
        [scheme]="colorScheme"
        [results]="multiLine"
        [gradient]="false"
        [xAxis]="true"
        [yAxis]="true"
        [legend]="true"
        [showXAxisLabel]="true"
        [showYAxisLabel]="true"
        [xAxisLabel]="xAxisLabel"
        [yAxisLabel]="yAxisLabel"
        [autoScale]="true">
        <ng-template #tooltipTemplate let-model="model">
          {{model.value}}
        </ng-template>

        <ng-template #seriesTooltipTemplate let-model="model">
          <span>{{model[0].series}} : {{model[0].value}}</span>
          <br>
          <span>{{model[1].series}} : {{model[1].value}}</span>
          <br>
          <span>{{model[2].series}} : {{model[2].value}}</span>
        </ng-template>
      </ngx-charts-line-chart>
    </div>
  </div>
  <div class="row justify-content-between py-4">
    <div class="col-auto">
      <span class="pr-4 font-weight-bold">Market Status</span>
      <span class="server-status-icon" [ngClass]="{'red': !marketIsOpen, 'green': marketIsOpen}"></span>
      <span class="pl-1">The market currently {{marketStatus}}</span>
    </div>
    <div class="col-auto text-danger">
      <span>{{quotaRemaining}} of {{quotaLimit}} API call left</span>
    </div>
  </div>
</div>
